Skip to content

List Marketplace Tools

GET
/api/v1/kubernetes/available-tools/{service_id}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/available-tools/{service_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the marketplace tools that can be installed on the cluster (for example Monitoring Stack, Cert-Manager, NGINX Ingress Controller) - each tool’s id, name, description, type, and current install status. Use a tool’s id as tool_id when installing it. Use the cluster service_id.

service_id
required
integer

The cluster service_id, as returned by List.

Example

12345
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request.

Example

<API_KEY>
location
required
string

Region of the cluster.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code
integer
data

Marketplace tools available for the cluster.

Array<object>
object
id
integer
name
string
description
string
type
string
status

Install status (e.g., not-installed, installing, installed).

string
error_message
string
nullable
errors
object
message
string

Example

{
"code": 200,
"data": [
{
"id": 1,
"name": "Monitoring Stack",
"description": "Prometheus is an open-source monitoring and alerting tool for collecting, storing, querying and visualizing metrics.",
"type": "Monitoring Tools",
"status": "not-installed",
"error_message": null
}
],
"message": "Success"
}